<?php
namespace Teknisa\SUP\Modules\Cotacao\Modules\Pedido\Controllers;

use Zeedhi\Framework\Report\ReportService;
use Zeedhi\Framework\DTO;

class Sup02300PedidoColetaGeralController extends \Zeedhi\Framework\Controller\Report
{
    protected $qr2Strategy;
    protected $stNomeRel;
    protected $stExtensao;
    
    public  function __construct($reportService, $qr2Strategy)
    {
        parent::__construct($reportService);
        $this->qr2Strategy   =   $qr2Strategy;
    }
    
    public function beforeProcessReport(DTO\Request\Row $request, DTO\Response $response)
    {   
        $row = $request->getRow();
        
        $this->qr2Strategy->setQr2Type($row['QR2TYPE']);
        $this->stNomeRel = $this->getReportName($row);
        $this->reportMapping[$this->stNomeRel] =
                array(
                    'strategy' => $row['STRATEGY'],
                    'parameterMapping' =>
                array (
                "P_CDFILIAL"   => "P_CDFILIAL",
                "L_CDFORNECED" => "L_CDFORNECED",
                "L_CDMENSAGEM" => "L_CDMENSAGEM",
                "P_CDINI"      => "P_CDINI",
                "P_CDFIN"      => "P_CDFIN"
            ),
        );
    }
}
